Show Posts

This section allows you to view all posts made by this member. Note that you can only see posts made in areas you currently have access to.


Messages - rs

Pages: [1] 2 3
1
I have changed the url of repository of MariaDB from version 10.2 to 10.6
Everything was upgraded successfully aprt from:

Failed:
  MariaDB-server.x86_64 0:10.2.41-1.el7.centos                                                                          MariaDB-server.x86_64 0:10.6.9-1.el7.centos


Can someone explain me please how to make that upgrade manually. Looks like there is no way to make a migration automatically.
Thank you.

2
Installation / Re: Fresh install has MariaDB error. How to resolve?
« on: August 22, 2022, 07:41:59 AM »
In case if I am switching back to 10.6 version. Everything updated correctly, but the server part I have to upgrade manually. I think the best way to fix that situation to make a manual update. But I don't know how to make if I have CWP. Probably someone can explain me what is the best way to migrate MariaDB server from 10.2 to 10.6?..

3
Installation / Re: Fresh install has MariaDB error. How to resolve?
« on: August 22, 2022, 01:45:56 AM »
Code: [Select]
Error: MariaDB-client conflicts with MariaDB-server-10.3.36-1.el7.centos.x86_64
Error: galera-4 conflicts with galera-25.3.28-1.rhel7.el7.centos.x86_64
Error: galera-4 conflicts with galera-25.3.33-1.el7.centos.x86_64
Error: galera-4 conflicts with galera-25.3.32-1.el7.centos.x86_64
Error: galera-4 conflicts with galera-25.3.34-1.el7.centos.x86_64
Error: galera-4 conflicts with galera-25.3.12-2.el7.x86_64
Error: galera-4 conflicts with galera-25.3.31-1.el7.centos.x86_64
Error: galera-4 conflicts with galera-25.3.35-1.el7.centos.x86_64
Error: galera-4 conflicts with galera-25.3.30-1.el7.centos.x86_64
Error: Package: MariaDB-server-10.3.36-1.el7.centos.x86_64 (mariadb)
           Requires: galera
Error: galera-4 conflicts with galera-25.3.37-1.el7.centos.x86_64
Error: galera-4 conflicts with galera-25.3.29-1.rhel7.el7.centos.x86_64
Error: MariaDB-common conflicts with MariaDB-server-10.3.36-1.el7.centos.x86_64
 You could try using --skip-broken to work around the problem
** Found 4 pre-existing rpmdb problem(s), 'yum check' output follows:
MariaDB-client-10.6.9-1.el7.centos.x86_64 has installed conflicts MariaDB-server < ('0', '10.6.0', None): MariaDB-server-10.2.41-1.el7.centos.x86_64
MariaDB-common-10.6.9-1.el7.centos.x86_64 has installed conflicts MariaDB-server < ('0', '10.6.1', None): MariaDB-server-10.2.41-1.el7.centos.x86_64
MariaDB-server-10.2.41-1.el7.centos.x86_64 has missing requires of galera
cluebringer-v2.1.x-201310261831.noarch has missing requires of httpd


4
Installation / Re: Fresh install has MariaDB error. How to resolve?
« on: August 22, 2022, 12:28:47 AM »
This is the whole message:

Code: [Select]
Downloading packages:
Delta RPMs disabled because /usr/bin/applydeltarpm not installed.
MariaDB-server-10.6.9-1.el7.centos.x86_64.rpm                                                                                                                                                                         |  25 MB  00:00:02
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction

******************************************************************
A MySQL or MariaDB server package (MariaDB-server-10.2.41-1.el7.centos.x86_64) is installed.

Upgrading directly from MySQL 10.2 to MariaDB 10.6 may not
be safe in all cases.  A manual dump and restore using mysqldump is
recommended.  It is important to review the MariaDB manual's Upgrading
section for version-specific incompatibilities.

A manual upgrade is required.

- Ensure that you have a complete, working backup of your data and my.cnf
  files
- Shut down the MySQL server cleanly
- Remove the existing MySQL packages.  Usually this command will
  list the packages you should remove:
  rpm -qa | grep -i '^mysql-'

  You may choose to use 'rpm --nodeps -ev <package-name>' to remove
  the package which contains the mysqlclient shared library.  The
  library will be reinstalled by the MariaDB-shared package.
- Install the new MariaDB packages supplied by MariaDB Foundation
- Ensure that the MariaDB server is started
- Run the 'mysql_upgrade' program

This is a brief description of the upgrade process.  Important details
can be found in the MariaDB manual, in the Upgrading section.
******************************************************************
error: %pre(MariaDB-server-10.6.9-1.el7.centos.x86_64) scriptlet failed, exit status 1
Error in PREIN scriptlet in rpm package MariaDB-server-10.6.9-1.el7.centos.x86_64
MariaDB-server-10.2.41-1.el7.centos.x86_64 was supposed to be removed but is not!
  Verifying  : MariaDB-server-10.2.41-1.el7.centos.x86_64                                                                                                                                                                                1/2
  Verifying  : MariaDB-server-10.6.9-1.el7.centos.x86_64                                                                                                                                                                                 2/2

Failed:
  MariaDB-server.x86_64 0:10.2.41-1.el7.centos                                                                          MariaDB-server.x86_64 0:10.6.9-1.el7.centos



5
Installation / Re: Fresh install has MariaDB error. How to resolve?
« on: August 22, 2022, 12:27:08 AM »
The same result the package is available but the upgrade process is failed.

6
Installation / Re: Fresh install has MariaDB error. How to resolve?
« on: August 21, 2022, 11:19:45 PM »
The only error that I've got after update was:

Failed:
  MariaDB-server.x86_64 0:10.2.41-1.el7.centos                                                                          MariaDB-server.x86_64 0:10.6.9-1.el7.centos

How do I upgrade MariaDB-server manually to 10.6.9?

7
Installation / Re: Fresh install has MariaDB error. How to resolve?
« on: August 21, 2022, 11:12:39 PM »
Thank you!

8
Installation / Re: Fresh install has MariaDB error. How to resolve?
« on: August 21, 2022, 10:48:52 PM »
I would say the the problem is that the link `http://yum.mariadb.org/10.2/centos7-amd64` is not available anymore.
I have the same problem.
So, what would be the correct repository to put there?

9
Nginx / Re: Websocket ssl on nginx
« on: December 13, 2020, 03:03:49 PM »
Well, I think I am not the first one who is asking about Nginx + SSL + Websockets here in the forum. But so far all of those subjects without clean answer or without an answer at all. \_(ツ)_/
I think that should be integrated into the CWP. I mean the possibility to add port forwarding. Anyway could you please give me a template example of the port forwarding through the templates?
I have tried to add at the end of the
Code: [Select]
/etc/nginx/conf.d/vhosts/holistic.chat.ssl.conf
That description:

Code: [Select]
server {
          server_name ***.***;
                  location / {
                           proxy_pass http://0.0.0.0:8282;
                  }
listen [::]:443 ssl;
        listen 443 ssl;
        ssl_certificate      /etc/pki/tls/certs/***.***.bundle;
ssl_certificate_key  /etc/pki/tls/private/***.***.key;
ssl_protocols TLSv1 TLSv1.1 TLSv1.2;
    }

But it doesn't work.

10
Nginx / Re: Websocket ssl on nginx
« on: December 13, 2020, 02:08:43 PM »
I found some useful information, but still didn't figure out how to add it considering CWP nginx existing configuration:

WebSocket proxying
http://nginx.org/en/docs/http/websocket.html

NGINX to reverse proxy websockets AND enable SSL (wss://)?
https://stackoverflow.com/questions/12102110/nginx-to-reverse-proxy-websockets-and-enable-ssl-wss


11
Nginx / Re: Websocket ssl on nginx
« on: December 13, 2020, 02:00:53 PM »
Yes, it is opened. Even when the firewall is switched off it doesn't work...

12
Nginx / Re: Websocket ssl on nginx
« on: December 13, 2020, 06:45:10 AM »
There is no script provider, I am writing a chat application and it works without any problem on my xampp, but I am getting stucked with Nginx port forwarder through SSL connection.
Briefly I am running a chatserver on my server (using boot cron task) under the name of the domainuser.

Code: [Select]
php index.php chatserver server

After running I am getting a message:

Quote
Running server on host 0.0.0.0:8282

When I am opening a browser I am getting errors like that:
Quote
app.js?v=1222333591:101 WebSocket connection to 'wss://***.***:8282/?access_token=1)%28?%2A' failed: WebSocket opening handshake timed out
So, if I understood correctly I need to tell to nginx that all requests to ****.com:8282 should be forwarded directly to localhost 0.0.0.0:8282   ???

13
Nginx / Re: Websocket ssl on nginx
« on: December 13, 2020, 06:08:32 AM »
Could you give me an example, please? I already spent the last 3 hours and still didn't find a solution. I mean example of template in case if the chat app gonna work from the wss://***.com:8282
How to make a port forwarding through ngnix to apache?

14
Nginx / Re: Websocket ssl on nginx
« on: December 12, 2020, 11:59:04 PM »
What exactly do you trying to do and for what?
I have the same problem.
So, my CWP panel was configured as:

Quote
Nginx & Apache
Additional Options: php-cgi/suphp, nginx/php-fpm, apache/php-fpm, proxy
HTTP: Nginx (80) --> Apache (8181)
HTTPS: Nginx (443) --> Apache (8181)

I want to run a WebSocket application that using localhost address 0.0.0.0:8282 for communication
So I have put a cron job to run my chatserver websocket app using a command:

Code: [Select]
php index.php chatserver server
Now I can see that the chatserver is run:
Quote
Running server on host 0.0.0.0:8282

But in the browser client side I can see an error like that:

Quote
WebSocket connection to 'wss://***.***:8282/?***' failed: Error in connection establishment: net::ERR_CONNECTION_REFUSED
socket.js?v=***:** WebSocket connection to 'wss://***.***:8282/?***' failed: Error in connection establishment: net::ERR_CONNECTION_REFUSED

Looks like nginx doesn't let to pass the socket connection on the port 8282.
Could you please to help me to change the nginx configuration file of the specific domain that works over SSL to successfully establish websocket connection to the port 8282 and connected to my localhost chatserver.
I will appreciate for any help.

15
Migration from other control panels / CWP 6 to CWP 7 migration
« on: November 28, 2020, 05:36:03 PM »
CentOS 6 if very close of being out of support.
I start a migration process. Is that any chance to use Migration tool to transfer account between CWP 6 to CWP 7?
Or better to do everything manually? I have about 20 websites it's gonna be pain in the butt to move everything by myself.
Thank you for any advice.

Pages: [1] 2 3